NeuralEngine A Game Engine with embeded Machine Learning algorithms based on Gaussian Processes. |

Static Public Member Functions | Static Private Member Functions | List of all members
NeuralEngine::MachineLearning::AfArma Class Reference

ArrayFire Armadillo conversation. More...

`#include <FgAfArma.h>`

## Static Public Member Functions
static void | MatToArray (const arma::mat &input, af::array &output, bool transpose=true)
| Matrix to array. More...
static af::array | MatToArray (const arma::mat &input, bool transpose=true)
| Matrix to array. More...
static void | ArrayToMat (const af::array &input_, arma::mat &output, bool transpose=true)
| Array to matrix. More...
static arma::mat | ArrayToMat (const af::array &input, bool transpose=true)
| Array to matrix. More...

## Static Private Member Functions
static void | MatToArray_ (arma::mat &input, array &output, bool transpose=true)

## Detailed Description

ArrayFire Armadillo conversation.

<note> Converts ArrayFire matrix to OpenCV matrix and vice vesa. </note>

Hmetal T, 07.03.2017.

Definition at line 37 of file FgAfArma.h.

## Member Function Documentation

## ◆ MatToArray() [1/2]

static void NeuralEngine::MachineLearning::AfArma::MatToArray | ( | const arma::mat & | input,
|  | af::array & | output,
|  | bool | transpose = `true`
| ) |  |
| static

Matrix to array.

Hmetal T, 07.03.2017.

Parameters

  input | The input.
  output | [in,out] The output.
  transpose | (Optional) true to transpose.

## ◆ MatToArray() [2/2]

static af::array NeuralEngine::MachineLearning::AfArma::MatToArray | ( | const arma::mat & | input,
|  | bool | transpose = `true`
| ) |  |
| static

Matrix to array.

Hmetal T, 07.03.2017.

Parameters

  input | The input.
  transpose | (Optional) true to transpose.

Returns
  An af::array.

## ◆ ArrayToMat() [1/2]

static void NeuralEngine::MachineLearning::AfArma::ArrayToMat | ( | const af::array & | input_,
|  | arma::mat & | output,
|  | bool | transpose = `true`
| ) |  |
| static

Array to matrix.

Hmetal T, 07.03.2017.

Parameters

  input | The input.
  output | [in,out] The output.
  type | (Optional) the type.
  transpose | (Optional) true to transpose.

## ◆ ArrayToMat() [2/2]

static arma::mat NeuralEngine::MachineLearning::AfArma::ArrayToMat | ( | const af::array & | input,
|  | bool | transpose = `true`
| ) |  |
| static

Array to matrix.

Hmetal T, 07.03.2017.

Parameters

  input | The input.
  type | (Optional) the type.
  transpose | (Optional) true to transpose.

Returns
  A Mat.

The documentation for this class was generated from the following file:

- FgAfArma.h